var $ = jQuery;
function prkSMSChangeTab(a) {
    $("div.prk-sms-tab").hide(), $("a.nav-tab ").removeClass("nav-tab-active"), $("div#prkSMS" + a + "Tab").show(), $("a[href='#" + a + "']").addClass("nav-tab-active");
}
function showprkSMSModal(a, s = "system") {
    $("#prkSMSModalType").val(a),
        $("#prkSMSTemplateParameter").html($("span[name='" + a + "_parameter']").html()),
        $("#prkSMSModalMobile").val($("input[name='" + a + "_mobile']").val()),
        $("#prkSMSModalTemplate").val($("input[name='" + a + "_template']").val()),
        $("#prkSMSModalText").val($("input[name='" + a + "_text']").val()),
        "admin" == s
            ? ($("#prkSMSModalMobile").show(),
              $("#prkSMSModalMobileLabel").html(
                  "شماره مدیران را وارد نمایید: <i class='dashicons dashicons-info' title='شماره موبایل مقصد از طریق این قسمت در سیستم ثبت می گردد. شما می توانید شماره موبایل مدیران سایت را در حالتی که قصد ارسال پیامک به ادمین را دارید، در این قسمت طبق ساختار گفته شده، وارد نمایید.'></i>"
              ),
              $("#prkSMSModalMobileSmall").html("شماره موبایل مدیران را با<code>,</code> جدا کنید."),
              $("#prkSMSModalMobileError").html("*شماره تلفن های وارد شده صحیح نمی باشند"),
              $("#prkSMSModalMobile").attr("data-validation", "admin"),
              $("#prkSMSModalMobile").attr("placeholder", "0911*******,0912*******,0913*******"),
              $("#prkSMSModalMobile").removeClass("prk-sms-right-placeholder").addClass("prk-sms-left-placeholder"))
            : "system" == s
            ? ($("#prkSMSModalMobile").val(0).hide(),
              $("#prkSMSModalMobile").attr("data-validation", "none"),
              $("#prkSMSModalMobileLabel").html(
                  "انتخاب خودکار شماره موبایل کاربر: <i class='dashicons dashicons-info' title='شماره موبایل مقصد از طریق این قسمت در سیستم ثبت می گردد. ارسال پیامک در مراحل مختلف ورود/ثبت نام به صورت کاملا خودکار و توسط سیستم انجام خواهد شد.'></i>"
              ),
              $("#prkSMSModalMobileSmall").text("مراحل تشخیص شماره موبایل و ارسال پیامک به صورت خودکار خواهد بود."))
            : "order" == s
            ? ($("#prkSMSModalMobile").val(0).hide(),
              $("#prkSMSModalMobile").attr("data-validation", "none"),
              $("#prkSMSModalMobileLabel").html(
                  "انتخاب خودکار شماره موبایل کاربر: <i class='dashicons dashicons-info' title='شماره موبایل مقصد از طریق این قسمت در سیستم ثبت می گردد. ارسال پیامک در ووکامرس به صورت کاملا خودکار و توسط سیستم انجام خواهد شد.'></i>"
              ),
              $("#prkSMSModalMobileSmall").text("مراحل تشخیص شماره موبایل و ارسال پیامک از طریق شماره موبایل موجود در فاکتور خواهد بود."))
            : ($("#prkSMSModalMobile").show(),
              $("#prkSMSModalMobileLabel").html(
                  "ورودی شماره موبایل کاربر را وارد نمایید: <i class='dashicons dashicons-info' title='شماره موبایل مقصد از طریق این قسمت در سیستم ثبت می گردد. شماره موبایل کاربران در فرم سازهای Gravity و Contact7 نیز به وسیله شناسه یکتای هر کدام از ورودی ها (Input)، شناسایی و ارسال پیامک انجام خواهد شد. لیست شناسه ها و ورودی های هر فرم نیز در انتهای این پاپ آپ قرار داده شده است.'></i>"
              ),
              $("#prkSMSModalMobileSmall").text("پارامترهای مورد قبول در انتهای این صفحه قرار دارند. مثال #phone1.#"),
              $("#prkSMSModalMobileError").html("*ورودی شماره موبایل کاربر وارد شده صحیح نمی باشد"),
              $("#prkSMSModalMobile").attr("placeholder", "ورودی شماره موبایل را از بین پارامترهای مورد قبول انتخاب نمایید"),
              $("#prkSMSModalMobile").attr("data-validation", "template"),
              $("#prkSMSModalMobile").removeClass("prk-sms-left-placeholder").addClass("prk-sms-right-placeholder")),
        0 != $("#prkSMSModalTemplate").val() ? ($("input.prk-sms-check").prop("checked", !0), prkSMSSenderType(1)) : ($("input.prk-sms-check").prop("checked", !1), prkSMSSenderType(0)),
        $("#prkSMSModal").show();
}
function saveprkSMSModal() {
    const a = $("#prkSMSModalMobile").attr("data-validation");
    let s = 0;
    switch (a) {
        case "admin":
            $("#prkSMSModalMobile")
                .val()
                .split(",")
                .forEach((a) => {
                    a.length < 10 &&
                        ($("#prkSMSModalMobileError").show(),
                        s++,
                        $("#prkSMSModalMobile").on("keyup", () => {
                            const a = $("#prkSMSModalMobile").val().split(",");
                            (newError = 0),
                                a.forEach((a) => {
                                    a.length < 10 && newError++;
                                }),
                                0 == newError && $("#prkSMSModalMobileError").hide();
                        }));
                });
            break;
        case "template":
            const a = new RegExp("#[\\S]{2,}#");
            a.test($("#prkSMSModalMobile").val()) ||
                ($("#prkSMSModalMobileError").show(),
                s++,
                $("#prkSMSModalMobile").on("keyup", (s) => {
                    a.test($("#prkSMSModalMobile").val()) && $("#prkSMSModalMobileError").hide();
                }));
    }
    if (
        ($(".prk-sms-check").prop("checked") &&
            (console.log("ok"),
            $("#prkSMSModalTemplate").val() < 100 &&
                ($("#prkSMSModalTemplateError").show(),
                s++,
                $("#prkSMSModalTemplate").on("keyup", () => {
                    $("#prkSMSModalTemplate").val() >= 100 && $("#prkSMSModalTemplateError").hide();
                }))),
        s > 0)
    )
        return !1;
    var o = $("#prkSMSModalType").val();
    1 == $(".prk-sms-check").prop("checked")
        ? $("span[name='" + o + "_parameter']")
              .find(".prk-sms-setting-parameter")
              .each(function () {})
        : $("#prkSMSModalTemplate").val(0),
        $(".prk-sms-modal-form-control").each(function () {
            if (($(this).removeClass("prk-sms-modal-form-control-error"), 0 == $(this).val().length)) throw ($(this).addClass("prk-sms-modal-form-control-error"), 422);
        }),
        $("input[name='" + o + "_mobile']").val($("#prkSMSModalMobile").val()),
        $("input[name='" + o + "_template']").val($("#prkSMSModalTemplate").val()),
        $("input[name='" + o + "_text']").val($("#prkSMSModalText").val()),
        $("input[name='" + o + "']").prop("checked", !0),
        $("input[name='" + o + "_status']").val(1),
        $("i[data-name='" + o + "']").show(),
        hideprkSMSModal();
}
function hideprkSMSModal() {
    $("#prkSMSModal").hide(),
        $("#prkSMSModalMobileError,#prkSMSModalTemplateError").hide(),
        $(".prk-sms-modal-form-control").each(function () {
            $(this).removeClass("prk-sms-modal-form-control-error");
        });
}
function prkSMSSenderType(a) {
    a ? $("#prkSMSModalMobileVerify").show() : ($("#prkSMSModalMobileVerify").hide(), $("#prkSMSModalMobileBulk").show());
}
$(document).ready(function () {
    $(".prk-sms-setting-checkbox").change(function () {
        var a = $(this).attr("name"),
            s = $(this).attr("data-type");
        $("i[data-name='" + a + "']").hide(), this.checked ? ($(this).prop("checked", !1), showprkSMSModal(a, s)) : $("input[name='" + a + "_status']").val(0);
    }),
        $(".dashicons-visibility").click(function () {
            showprkSMSModal($(this).data("name"), $(this).data("type"));
        }),
        $(document).on("click", ".prk-sms-setting-parameter", function () {
            $("#prkSMSModalText")
                .val($("#prkSMSModalText").val() + $(this).text() + "\r\n")
                .focus();
        })
}),
    jQuery(document).ready(function (a) {
        a("[name='prk_sms_setting_button']").click(function(e){
            submit_settings=a(this);
            submit_settings.text('ذخیره سازی ...');
            e.preventDefault();
            var datasss = $('form').serialize();
            jQuery.post(prk_sms_handler.ajaxurl, {action: "prk_sms_submit_settings",data:datasss,security: prk_sms_handler.ajaxnonce}, function(response){
                response =JSON.parse(response);
                submit_settings.text('ذخیره سازی');
                if(response.success){
                    submit_settings.after('<div id="prksmsapp-settings-form-save-result" class="prksmsapp-settings-form-success-save-result csf-form-success">'+response.message+'</div>')
                }else{
                    submit_settings.after('<div id="prksmsapp-settings-form-save-result" class="prksmsapp-settings-form-error-save-result csf-form-success">'+response.error+'</div>')
                }
               
                setTimeout(function(){
                    a('#prksmsapp-settings-form-save-result').remove()
                }, 2000);
            });
    
        })
        a("[name='prk_sms_test_button']").click(function(e){
            submit_send_test=a(this);
            submit_send_test.text('در حال ارسال ...');
            submit_send_test.attr('disabled','disabled')
            e.preventDefault();
            var datasss = $('form').serialize();
            jQuery.post(prk_sms_handler.ajaxurl, {action: "prk_sms_test_send",data:datasss,security: prk_sms_handler.ajaxnonce}, function(response){
                response =JSON.parse(response);
                submit_send_test.text('تست ارسال پیامک');
                submit_send_test.removeAttr('disabled')

                if(response.success){
                    submit_send_test.after('<div id="prksmsapp-settings-form-save-result" class="prksmsapp-settings-form-success-save-result csf-form-success">'+response.message+'</div>')
                }else{
                    submit_send_test.after('<div id="prksmsapp-settings-form-save-result" class="prksmsapp-settings-form-error-save-result">'+response.error+'</div>')
                }
               
                setTimeout(function(){
                    a('#prksmsapp-settings-form-save-result').remove()
                }, 2000);
            });
    
        })
        a("#promotionSave").click(function (s) {
            var o = { action: "prkSMSAjax", type: "promotion", name: a("#promotionName").val(), mobile: a("#promotionMobile").val(), product_id: a("#comment_post_ID").val(), security: prk_sms_handler.ajaxnonce };
            s.preventDefault(),
                a.post(prk_sms_handler.ajaxurl, o, function (s) {
                    s.success
                        ? a("#promotionError").html(s.data.message).css("color", "green")
                        : s.data
                        ? a("#promotionError").html(s.data.error).css("color", "red")
                        : a("#promotionError").html("پاسخی از سمت سرور دریافت نشد.").css("color", "red");
                });
        }),
            a("#inventorySave").click(function (s) {
                var o = { action: "prkSMSAjax", type: "inventory", name: a("#inventoryName").val(), mobile: a("#inventoryMobile").val(), product_id: a("#comment_post_ID").val(), security: prk_sms_handler.ajaxnonce };
                s.preventDefault(),
                    a.post(prk_sms_handler.ajaxurl, o, function (s) {
                        s.success
                            ? a("#inventoryError").html(s.data.message).css("color", "green")
                            : s.data
                            ? a("#inventoryError").html(s.data.error).css("color", "red")
                            : a("#inventoryError").html("پاسخی از سمت سرور دریافت نشد.").css("color", "red");
                    });
            });
    });
